# Fedora Infrastructure Documentation

This repository contains the sources for the documentation related to the Fedora Infrastructure
team.

The Documentation is built and available to read on the Fedora Documentation site at:

https://docs.fedoraproject.org/en-US/infra/


## Local preview

This repo includes a script to build and preview the contents of this repository.

**NOTE**: Please note that if you reference pages from other repositories, such links will be broken in this local preview as it only builds this repository. If you want to rebuild the whole Fedora Docs site, please see [the Fedora Docs build repository](https://pagure.io/fedora-docs/docs-fp-o/) for instructions.

The script works on Fedora (using Podman or Docker) and macOS (using Docker).

To build and preview the site, run:

```
$ ./docsbuilder.sh -p
```

The result will be available at http://localhost:8080

To stop the preview:

```
$ ./docsbuilder.sh -k

```

## Writing the documentation

The Fedora Infrastructure Documentation uses asciidoc as the source markup.

Below are some resources to help you get started with asciidoc:

* asciidoc syntax cheatsheet: https://asciidoctor.org/docs/asciidoc-syntax-quick-reference/
* asciidoc full user manual: https://asciidoctor.org/docs/user-manual/
* Antora's documentation: https://docs.antora.org/antora/2.0/

## License

This documentation is made available under CC-BY-SA 3.0
